
# The special token SPACE must be a single regular expression,
#  and is implicitly consumed before all regular
#  expressions and literal strings:

SPACE = <[ \t]*>

# Now the expr without the explicit white space:

expr = <[a-zA-Z_]+>
		| <[0-9]+>
		| expr <[+-]> expr
		| expr <[*/]> expr
		| expr '^' expr
		| expr '=' expr

# Note we no longer need a final pattern to add leading or
#  trailing white space since SPACE is also added to the
#  end of the returned pattern by default.

